itpp::Name Class Reference
Base Module » IT++ File Format

Automatic naming when saving. More...

`#include <itpp/base/itfile.h>`

## Public Member Functions

| Name (const std::string &n, const std::string &d="")
| Constructor.
Name & | operator= (const Name &)
| Dummy assignment operator - MSVC++ warning C4512.

## Public Attributes

const std::string & | name
| The name string.
const std::string & | desc
| The description.

## Detailed Description

Automatic naming when saving.

An easy way to give a variable a name and optionally description when saving. Usage:

vec v1("1 2 3"), v2;
it_file f("file.it");
f << Name("v", "A vector of consecutive double values") << v1;
f >> Name("v") >> v2;
itpp::Name::Name
Name(const std::string &n, const std::string &d="")
Constructor.
Definition itfile.h:432
itpp::it_file
The IT++ file format reading and writing class.
Definition itfile.h:246

Definition at line 428 of file itfile.h.

## Constructor & Destructor Documentation

## Name()

itpp::Name::Name | ( | const std::string & | n,
|  | const std::string & | d = "" )

inline

Constructor.

Definition at line 432 of file itfile.h.

References desc, and name.

Referenced by operator=().

## Member Function Documentation

## operator=()

Name & itpp::Name::operator= | ( | const Name & |  | ) |

inline

Dummy assignment operator - MSVC++ warning C4512.

Definition at line 434 of file itfile.h.

References Name().

## Member Data Documentation

## name

const std::string& itpp::Name::name

The name string.

Definition at line 436 of file itfile.h.

Referenced by Name(), itpp::operator<<(), itpp::operator<<(), itpp::operator>>(), and itpp::operator>>().

## desc

const std::string& itpp::Name::desc

The description.

Definition at line 438 of file itfile.h.

Referenced by Name(), and itpp::operator<<().

The documentation for this class was generated from the following file:

- itpp/base/itfile.h

Generated on for IT++ by Doxygen 1.15.0